group "Product.model"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | 3 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

Complex Content Model
primaryAssetClass?, productType*, productId*

Content Model Elements (3):

  primaryAssetClass, productId (defined in Product.model group), | productType (defined in Product.model group)

Known Usage Locations

- In definitions of global complexTypes (2):
  CreditLimit, Product

XML Source (w/o annotations (3); see within schema source)

<xsd:group name="Product.model"> <xsd:sequence> <xsd:element minOccurs="0" name="primaryAssetClass" type="AssetClass"/> <!--View Generation: SKIPPED secondaryAssetClass - Unsupported--> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productType" type="ProductType"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productId" type="ProductId"/> <!--View Generation: SKIPPED assetClass - Other-new view doesn't need to maintain compatibility with deprecated sequence--> <!--View Generation: SKIPPED embeddedOptionType - Unsupported--> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
primaryAssetClass

  Type: | AssetClass, simple content

  A classification of the most important risk class of the trade. FpML defines a simple asset class categorization using a coding scheme.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="primaryAssetClass" type="AssetClass"/>

productId

  Type: | ProductId, simple content

  A product reference identifier. The product ID is an identifier that describes the key economic characteristics of the trade type, with the exception of concepts such as size (notional, quantity, number of units) and price (fixed rate, strike, etc.) that are negotiated for each transaction. It can be used to hold identifiers such as the "UPI" (universal product identifier) required by certain regulatory reporting rules. It can also be used to hold identifiers of benchmark products or product temnplates used by certain trading systems or facilities. FpML does not define the domain values associated with this element. Note that the domain values for this element are not strictly an enumerated list.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="productId" type="ProductId"/>

productType

  Type: | ProductType, simple content

  A classification of the type of product. FpML defines a simple product categorization using a coding scheme.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="productType" type="ProductType"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.